{ ... }:
{
  programs.niri.settings = {
    layer-rules = [
      {
        matches = [
          { namespace = "notifications"; }
        ];
        block-out-from = "screen-capture";
      }
    ];
    window-rules = [
      {
        matches = [
          { app-id = "^signal|Element|org\.gnome\.Evolution$"; }
          { title = "^.*(Discord|Beispiel Screenshare block Bug|Bitwarden|Träwelling).*$"; }
        ];
        excludes = [
          {
            title = "^.*((Schrottkatze|Statistics|Leaderboard) - Träwelling|chaos.social|Nekoverse|catgirl.cloud).*$";
          }
          { is-floating = true; }
        ];
        block-out-from = "screen-capture";
      }
    ];
  };
}
